﻿@using Portal.Models.GetsudoVehicle;
@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;
@using Toyota.Common.Web.Html.Helper;
@model Toyota.Common.Web.MVC.ModelHolder


@{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
 
 
@section Script 
{
    @*function BeginGridCallback(s, e) 
    {
        e.customArgs["cbProdMonth"] = cbProdMonth.GetValue();
        e.customArgs["cbProdPlanType"] = cbProdPlanType.GetValue();
        e.customArgs["upSelectFile"] = upSelectFile.GetValue();
        alert(' Your data will be verificated first. Please wait. If no error occurs, it will be inserted to our database');
   }*@
    @*function BgnUpload(t,d)
    {
        e.customArgs["cbProdMonth"] = cbProdMonth.GetValue();
        e.customArgs["cbProdPlanType"] = cbProdPlanType.GetValue();
        e.customArgs["upSelectFile"] = upSelectFile.GetValue();
    }*@

@*    $(document).ready(function(){
        GVGetsudoVehicle.Refresh();
    });*@


}

@*--- (GetsudoVehicle) niit.yudha 24/10/2012  *@

<link href="@Url.Content("~/Content/Style/SupplierFeedbackSum.css")" rel="stylesheet" type="text/css"/>

<div id="HeaderPart">
   @Html.DevExpress().RoundPanel(
        settings =>
        {
            settings.Name = "frmHeader";
            settings.HeaderText = null;
            settings.ShowHeader = false;
            //settings.Width = Unit.Percentage(100);
            settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox; 
            settings.SetContent(() =>
            {
                Html.RenderAction("PartialHeaderGetSudoVehicle", "GetsudoVehicle");
            });
        }).GetHtml()
</div>

<div id="MiddlePart" class="MiddlePart">
   @Html.Partial("GetsudoVehicleGrid", Model)
</div>
<div style="height:100px;"></div>